aboutsummaryrefslogtreecommitdiffstats
path: root/version-manifest/src/main/scripts/check-sorted.sh
diff options
context:
space:
mode:
Diffstat (limited to 'version-manifest/src/main/scripts/check-sorted.sh')
-rwxr-xr-xversion-manifest/src/main/scripts/check-sorted.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/version-manifest/src/main/scripts/check-sorted.sh b/version-manifest/src/main/scripts/check-sorted.sh
index fa120f399..70ca5ac04 100755
--- a/version-manifest/src/main/scripts/check-sorted.sh
+++ b/version-manifest/src/main/scripts/check-sorted.sh
@@ -1,4 +1,11 @@
#!/bin/bash
+
+if [ "$#" -ne 1 ]; then
+ echo This script checks the input file to verify that it is sorted
+ echo "$0 <manifest.csv>"
+ exit 1
+fi
+
LC_ALL=C sort -c $1
retval=$?
if [ $retval -ne 0 ]; then